/*
 * Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
 
/*
 * $Id: XTeam.java 65615 2012-03-29 19:02:39Z sdimilla $
 */

package com.sun.ts.tests.jpa.core.relationship.descriptors;

/*
 * XTeam
 */

public class XTeam implements java.io.Serializable {

    // Instance variables
    private int  xteamid;
    private String  xname;
    private XCompany xcompany;

    public XTeam() {
    }

    public XTeam(int xteamid, String xname) {
        this.xteamid = xteamid;
        this.xname = xname;
    }


    // ===========================================================
    // getters and setters for the state fields

    public int getXTeamId() {
        return xteamid;
    }
    public void setXTeamId(int xteamid) {
        this.xteamid = xteamid;
    }

    public String getXName() {
        return xname;
    }
    public void setXName(String xname) {
        this.xname = xname;
    }

    // ===========================================================
    // getters and setters for the association fields


    /* Bi-Directional Many(Teams)ToOne(Company)  - Owner Team */
    public XCompany getXCompany() {
        return xcompany;
    }
    public void setXCompany(XCompany xcompany) {
        this.xcompany = xcompany;
    }

}

